summaryrefslogtreecommitdiffstats
path: root/crawl-ref/domake.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crawl-ref/domake.sh')
-rwxr-xr-xcrawl-ref/domake.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/crawl-ref/domake.sh b/crawl-ref/domake.sh
index f129f6a14e..9db99e2732 100755
--- a/crawl-ref/domake.sh
+++ b/crawl-ref/domake.sh
@@ -3,7 +3,9 @@
#jmf: N.B.: requires symlink directories; run ./dolinks.sh to make
MAKE=make
-if [ "$(uname -s)" == "FreeBSD" ]; then
+make --version &> /dev/null
+if [ $? != 0 ]; then
+ # BSD make returns an error code if you try '--version'. GNU make doesn't.
MAKE=gmake
fi